Package io.strimzi.systemtest.resources.crd

## Class KafkaUserResource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaUserResource

-     public class KafkaUserResource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaUserResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.api.kafka.model.KafkaUser` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaUser user)` |
    `static io.strimzi.api.kafka.model.KafkaUserBuilder` | `defaultUser​(String clusterName, String name)` |
    `static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaUser,​io.strimzi.api.kafka.KafkaUserList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaUser>>` | `kafkaUserClient()` |
    `static io.strimzi.api.kafka.model.KafkaUser` | `kafkaUserWithoutWait​(io.strimzi.api.kafka.model.KafkaUser user)` |
    `static void` | `replaceUserResource​(String resourceName, Consumer<io.strimzi.api.kafka.model.KafkaUser> editor)` |
    `static io.strimzi.api.kafka.model.KafkaUserBuilder` | `scramShaUser​(String clusterName, String name)` |
    `static io.strimzi.api.kafka.model.KafkaUserBuilder` | `tlsUser​(String clusterName, String name)` |
    `static io.strimzi.api.kafka.model.KafkaUserBuilder` | `userWithQuota​(io.strimzi.api.kafka.model.KafkaUser user, Integer prodRate, Integer consRate, Integer requestPerc)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaUserResource

          public KafkaUserResource()

  - ### Method Detail

    - #### kafkaUserClient

          public static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaUser,​io.strimzi.api.kafka.KafkaUserList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaUser>> kafkaUserClient()

    - #### tlsUser

          public static io.strimzi.api.kafka.model.KafkaUserBuilder tlsUser​(String clusterName,
                                                                            String name)

    - #### scramShaUser

          public static io.strimzi.api.kafka.model.KafkaUserBuilder scramShaUser​(String clusterName,
                                                                                 String name)

    - #### defaultUser

          public static io.strimzi.api.kafka.model.KafkaUserBuilder defaultUser​(String clusterName,
                                                                                String name)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.KafkaUser createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaUser user)

    - #### kafkaUserWithoutWait

          public static io.strimzi.api.kafka.model.KafkaUser kafkaUserWithoutWait​(io.strimzi.api.kafka.model.KafkaUser user)

    - #### userWithQuota

          public static io.strimzi.api.kafka.model.KafkaUserBuilder userWithQuota​(io.strimzi.api.kafka.model.KafkaUser user,
                                                                                  Integer prodRate,
                                                                                  Integer consRate,
                                                                                  Integer requestPerc)

    - #### replaceUserResource

          public static void replaceUserResource​(String resourceName,
                                                 Consumer<io.strimzi.api.kafka.model.KafkaUser> editor)